CREATE TABLE irc_msg_design_metadata (
    MESSAGE_DESIGN_ID        NUMBER(18, 0) ,
    MESSAGE_LANGUAGE         VARCHAR2(16)  ,
    DEFAULT_LANGUAGE_FLAG    VARCHAR2(4)   ,
    SUBJECT                  VARCHAR2(4000),
    DESCRIPTION              CLOB          ,
    IMAGE_URL                VARCHAR2(4000),
    DESIGN_METADATA          CLOB          ,
    HTML_TEMPLATE            CLOB          ,
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MESSAGE_DESIGN_ID        NUMBER(18, 0) ,
    MESSAGE_LANGUAGE         VARCHAR2(16)  ,
    DEFAULT_LANGUAGE_FLAG    VARCHAR2(4)   ,
    SUBJECT                  VARCHAR2(4000),
    DESIGN_METADATA          CLOB          ,
    HTML_TEMPLATE            CLOB          ,
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    DESCRIPTION              CLOB          ,
    IMAGE_URL                VARCHAR2(4000),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_msg_design_metadata PRIMARY KEY (MESSAGE_DESIGN_ID, MESSAGE_LANGUAGE, MESSAGE_DESIGN_ID, MESSAGE_LANGUAGE)
);
